Subject: Re: Fw: [Policy] Roles and [un]rooted

From: "Lee Rafalow" <[email-masked]>
Date: Mon, 24 Sep 2001 11:39:22 -0400

Mircea,  I could be misreading your note but don't think we're in agreement,
I do, however, think we understand the points of disagreement.  I do not
think that roles and role combinations should play any part in the
definition of unrooted, they are only used as a way of selecting related
PolicySets; on the other hand, you propose to have roles used as if they
were an implicit association with the priority from the PolicySetInSystem
association used as the role priority.

As I said before, I think these are both reasonable positions but for the
reasons previously noted I prefer the currently documented algorithm.  I
haven't seen any other opinions on this point so here are the clarifications
I propose to add to the document.  I don't mean to be arbitrary here, it's
just that this has been documented this way for a while.  Are there any
other opinions on this topic?

Regards, Lee
----- Original Message -----
> From: "Mircea Pana" <[email-masked]>
> To: policy <[email-masked]>
> Sent: Friday, 21 Sep 2001 12:27:20 -0400
> Subject: Re: Fw: [Policy] Roles and [un]rooted
>
> Lee,
>
> I share your concerns wrt. the role and role combination. It doesn't
> have to be used in defining priority and decision strategy. The example
> in PCIMe (fig.4) is using roles so I used roles too. IMO just using the
> word "related" to describe the association between a PolicySet and a
> ManagedElement should suffice.
>
> But I do make a difference between 1 and 2 below:
>
> 1. A PolicySet is directly related to a ManagedElement if they share an
> explicit association, role combination or other direct (not inherited)
> relationship. In this case the PolicySet is unrooted from a priority
> point of view and the PriorityInSystem is used.
>
> 2. A PolicySet is indirectly related to a ManagedElement if its parent
> is directly or indirectly related to that ManagedElement. The PolicySet
> inherits the relationship from its parent. In this case the PolicySet is
> rooted
> under its parent, therefore it is prioritized relative to the other
> PolicySets under the same parent.
>
> In addition, I think it is valid to have a same PolicySet instance in
> both situations simultaneously. So, saying about a PolicySet that it is
> rooted if its parent is also related to the same ManagedElement would
> not be entirely true.
>
> In conclusion, I think we are in agreement on the semantics. All that
> may be needed is a clarification.
>
> Thanks a lot,
> Mircea.
>
>
>
>
>